## bsign 0.4.5

=== debian/changelog ===
bsign (0.4.5) unstable; urgency=low

  * Recast the signature data pointer to prevent inappropriate sign
    extension.  

 -- Marc Singer <elf@buici.com>  Wed,  6 Aug 2003 14:35:54 -0700
