=== debian/control ===
Source: bsign
Section: admin
Priority: optional
Maintainer: Marc Singer <elf@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: debhelper (>= 3.0.40), g++

Package: bsign
Architecture: i386
Depends: ${shlibs:Depends}
Description: Corruption & intrusion detection using embedded hashes
 This package embeds secure hashes (SHA1) and digital signatures (GNU
 Privacy Guard) into files for verification and authentication.
 Currently, target file types are all ELF format: executables, kernel
 modules, shared and static link libraries.  This program has
 functionality similar to tripwire and integrit without the need to
 maintain a database.
