=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules						-*- Makefile -*-
-#   $Id: rules,v 1.10 2002/01/28 01:09:07 elf Exp $
+#   $Id: rules,v 1.11 2002/02/22 01:31:44 elf Exp $
 #
 # written by Oscar Levi
 # 11 December 1998
@@ -15,6 +15,8 @@
 
 package=bsign
 base=$(package)
+### Used for changes file
+arch=i386
 version=`cat .version`
 RELEASE_PATH=${HOME}/release
 
@@ -95,7 +97,7 @@
 prerelease:
 	dpkg-genchanges > ../$(package)_$(version).changes.orig
 	echo "" >> ../$(package)_$(version).changes.orig
-	gpg -a --clearsign --default-key elf  --output ../$(package)_$(version).changes ../$(package)_$(version).changes.orig
+	gpg -a --clearsign --default-key elf  --output ../$(package)_$(version)_$(arch).changes ../$(package)_$(version).changes.orig
 	rm ../$(package)_$(version).changes.orig
 	if test -d ${RELEASE_PATH} ; then \
 	  mv ../$(package)_$(version)* ~/release/debian ;\
